UR::Role::PrototypeWithParams(3pm)

NAME
UR::Role::PrototypeWithParams - Binds a set of params to a role

DESCRIPTION
Objects of this class are returned when calling "create()" on a role's class. They exist temporarily as a class is being defined as a means of binding a set of role params to a UR::Role::Prototype to use in the "roles" section of a class description. See the "Parameterized Roles" section in UR::Role.

  Methods

create(prototype => $role_proto, role_params => $hashref)
    The constructor. Both arguments are required.

__role__()
    Returns itself. Used by the role composition mechanism to trigger autoloading the role's module when role names are given as strings in a class definition.

instantiate_role_instance($class_name)
    Return a UR::Role::Instance object.

SEE ALSO
UR::Role, UR::Role::Prototype, UR::Role::Instance